Distro uploaders cannot do syncs from other distros

Bug #771341 reported by Daniel Holbach on 2011-04-26
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Julian Edwards

Bug Description

Syncing source packages from Debian is a process that still requires Ubuntu Archive admins to do it. Allowing uploaders to sync source from Debian themselves (via API or the web interface) would be great. It was mentioned in https://dev.launchpad.net/Ubuntu/InfrastructureNeeds but it seems not to be tracked anywhere yet.

In an ideal world on the Ubuntu source package pages there should be a small box saying

  Version X+1 is available in Debian.
  Ubuntu package has local changes.
  [ Sync source to Ubuntu <current release>. ]

Related bugs:
 - Bug 29427: Launchpad should have a list of available packages in Debian and understand which ones are newer than in Ubuntu.
 - Bug 529936: Don't bypass queue when using syncSource
 - Bug 529933: Allow all uploaders to use SyncSource

summary: - Enable uploaders to sync source from Debian
+ Enable uploaders to sync source from Debian via web interface (and api)
summary: - Enable uploaders to sync source from Debian via web interface (and api)
+ Distro uploaders cannot do syncs from other distros
Changed in launchpad:
status: New → Triaged
importance: Undecided → High
Julian Edwards (julian-edwards) wrote :

This is ongoing work as part of the Derived Distros feature. See https://dev.launchpad.net/LEP/DerivativeDistributions

tags: added: derivation
tags: added: feature
Julian Edwards (julian-edwards) wrote :

Francis is going to demo it at UDS next week.

Benjamin Drung (bdrung) wrote :

When will be the demo? Is there an open blueprint for it?

Julian Edwards (julian-edwards) wrote :

The UI part is almost done and will be tested by Colin before we open it up to everyone. The API part will follow shortly after.

Changed in launchpad:
status: Triaged → In Progress
assignee: nobody → Julian Edwards (julian-edwards)
Daniel Holbach (dholbach) wrote :

Is there any news on this bug? A lot of people are really excited about this. :)

On Friday 22 July 2011 07:19:18 you wrote:
> Is there any news on this bug? A lot of people are really excited about
> this. :)

Patience! I'm going to let a *very* limited set of testers (where the set is
size 1) play with this before I release into the wild. But hopefully in the
next week or 2.

Julian Edwards (julian-edwards) wrote :

Right, Colin is a Debconf so I need a volunteer to test this in production, anyone up for it? I will enable the feature for precisely ONLY that person and I expect that person to:
 * Sync new packages
 * Sync existing (in Ubuntu) packages
 * Check that emails are generated properly
 * Check that synced packages are published properly
 * Give me feedback on the whole process.

Benjamin Drung (bdrung) wrote :

I volunteer. I will sync packages and especially sponsor syncs.

Julian Edwards (julian-edwards) wrote :

On Monday 25 July 2011 14:18:22 you wrote:
> I volunteer. I will sync packages and especially sponsor syncs.

That's great! Are you an archive admin so you can process stuff held in the
upload queues?

Benjamin Drung (bdrung) wrote :

No, I am just a core-dev. Does the API support this kind of sponsoring?

On Monday 25 July 2011 15:12:32 you wrote:
> No, I am just a core-dev. Does the API support this kind of sponsoring?

Yes, but the normal upload rules are observed for syncs which means that if
the package is not recognised it will hit the NEW queue and I want someone to
be able to handle that at the same time as testing the syncs as the tools for
that were updated to handle syncs.

Benjamin Drung (bdrung) wrote :

It this case, you need to find someone else.

Ok thanks for offering Benjamin. Didier did some testing with me and found a nice bug on the first try :/

Changed in launchpad:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers